{% load i18n markdownify %}

{% if article.is_published %}
  <button
      class="btn-action"
      hx-post="{% url 'wiki:article-unpublish' article.slug %}"
      hx-swap="outerHTML"
      title="{% translate 'Unpublish article' %}"
  ><i class="bi bi-eye-slash"></i></button>
{% else %}
  <button
      class="btn-action"
      hx-post="{% url 'wiki:article-publish' article.slug %}"
      hx-swap="outerHTML"
      title="{% translate 'Publish article' %}"
  ><i class="bi bi-upload"></i></button>
{% endif %}

{% if request.htmx %}

<div id="published-badge" hx-swap-oob="innerHTML">
  {% include 'wiki/_published_badge.html' with article=article %}
</div>
{% endif %}
